package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.StudentStatisticsDto;
import com.ym.mec.biz.dal.dto.StudentStatisticsSumDto;
import com.ym.mec.biz.dal.dto.StudentStatisticsSumForDateDto;
import com.ym.mec.biz.dal.entity.StudentStatistics;
import com.ym.mec.biz.dal.page.StudentStatisticsQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.page.QueryInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;

public interface StudentStatisticsService extends BaseService<Integer, StudentStatistics> {

    //定时任务
    void updateStudentStatistics();

    //分页查询学员小课数据
    PageInfo<StudentStatisticsDto> queryStatisticsPage(StudentStatisticsQueryInfo queryInfo);

    //获取小课数据统计汇总
    StudentStatisticsSumDto studentSmallClassStatisticsSum(String groupType,String organId);

    //按时间获取统计数据
    StudentStatisticsSumForDateDto studentSmallClassStatisticsSumForDate(String groupType, String startDate, String endDate,String organId);

    //获取指导老师列表
    List<Map<Integer, String>> queryTeacherList(String groupType);

    //获取乐团主管列表
    List<Map<Integer, String>> queryDirectorList(String groupType);
}